VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::std::errors::ArgumentLocations Class Reference

The `ArgumentLocations` class describes which part(s) of the input to the method caused the error. More...

List of all members.

## Public Member Functions
| ArgumentLocations ()
| Creates a default new instance.
string | GetPrimary ()
| String describing the location of the input that triggered the error.
void | SetPrimary (string primary)
| String describing the location of the input that triggered the error.
global::System.Collections.Generic.List < string > | GetSecondary ()
| List (possibly empty) of strings describing the locations of other inputs that caused the the primary input to trigger the error.
void | SetSecondary (global::System.Collections.Generic.List< string > secondary)
| List (possibly empty) of strings describing the locations of other inputs that caused the the primary input to trigger the error.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ArgumentLocations` class describes which part(s) of the input to the method caused the error.

Some types of errors are caused by the value of one of the inputs to the method, possibly due to an interaction with other inputs to the method. This class is intended to be used as the payload to identify those inputs when the method reports errors like InvalidArgument or NotFound . See Error.data .

## Constructor & Destructor Documentation

vmware::vapi::std::errors::ArgumentLocations::ArgumentLocations | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::std::errors::ArgumentLocations::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::std::errors::ArgumentLocations::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::ArgumentLocations::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::std::errors::ArgumentLocations::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::std::errors::ArgumentLocations::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::std::errors::ArgumentLocations::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::std::errors::ArgumentLocations::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::std::errors::ArgumentLocations::GetPrimary | ( |  | ) | `[inline]`

String describing the location of the input that triggered the error.

global::System.Collections.Generic.List<string> vmware::vapi::std::errors::ArgumentLocations::GetSecondary | ( |  | ) | `[inline]`

List (possibly empty) of strings describing the locations of other inputs that caused the the primary input to trigger the error.

void vmware::vapi::std::errors::ArgumentLocations::SetPrimary | ( | string | primary | ) | `[inline]`

String describing the location of the input that triggered the error.

void vmware::vapi::std::errors::ArgumentLocations::SetSecondary | ( | global::System.Collections.Generic.List< string > | secondary | ) | `[inline]`

List (possibly empty) of strings describing the locations of other inputs that caused the the primary input to trigger the error.

override string vmware::vapi::std::errors::ArgumentLocations::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ArgumentLocations.cs